.loading-overlay {
    position: fixed;
    top: 0;
    left: 0;
    width: 100vw;
    height: 100vh;
    background: #00000091;
    display: flex;
    justify-content: center;
    align-items: center;
    z-index: 999999;
  }

  @keyframes fadeIn {
    0% {
      opacity: 0;
      transform: translateY(10px);
    }

    100% {
      opacity: 1;
      transform: translateY(0);
    }
  }

  @keyframes fadeLoop {
    0% {
      opacity: 0;
      transform: translateY(10px);
    }

    50% {
      opacity: 1;
      transform: translateY(0);
    }

    100% {
      opacity: 0;
      transform: translateY(10px);
    }
  }

  .loading-overlay {
    display: flex;
    font-size: 24px;
    font-weight: bold;
    font-family: Arial, sans-serif;
  }

  .loading-overlay span {
    opacity: 0;
    animation: fadeLoop 2s infinite;
    padding: 2px;
    text-shadow: 5px 0 0 #FFF;
    color: yellow;
    font-size: 40px;
  }

  .loading-overlay span:nth-child(1) {
    animation-delay: 0s;
  }

  .loading-overlay span:nth-child(2) {
    animation-delay: 0.1s;
  }

  .loading-overlay span:nth-child(3) {
    animation-delay: 0.2s;
  }

  .loading-overlay span:nth-child(4) {
    animation-delay: 0.3s;
  }

  .loading-overlay span:nth-child(5) {
    animation-delay: 0.4s;
  }

  .loading-overlay span:nth-child(6) {
    animation-delay: 0.5s;
  }

  .loading-overlay span:nth-child(7) {
    animation-delay: 0.6s;
  }

  .loading-overlay span:nth-child(8) {
    animation-delay: 0.7s;
  }

  .loading-overlay span:nth-child(9) {
    animation-delay: 0.8s;
  }

  .loading-overlay span:nth-child(10) {
    animation-delay: 1.0s;
  }